package com.xzzn.ems.service;

import com.xzzn.ems.domain.EmsPointCalcConfig;

import java.util.List;

public interface IEmsPointCalcConfigService {
    List<EmsPointCalcConfig> selectPointCalcConfigList(EmsPointCalcConfig pointCalcConfig);

    EmsPointCalcConfig selectPointCalcConfigById(Long id);

    int insertPointCalcConfig(EmsPointCalcConfig pointCalcConfig, String operName);

    int updatePointCalcConfig(EmsPointCalcConfig pointCalcConfig, String operName);

    int deletePointCalcConfigByIds(Long[] ids);

    int deleteBySiteId(String siteId);
}
